Загрузка...
Linux
Новости, статьи, обсуждения, - все что связано с GNU Linux, FreeBSD, OpenBSD, Sun Solaris, Mac OS X и другими системами. Если вы интересуетесь данной темой - добро пожаловать в сообщество.
     

Заставляем RVM + XCode 4.2 работать на MacOS X Lion

19.11.11, 12:17
Автор ggg

Недавно столкнулся с такой проблемой:

gem install bundler
/Users/me/.rvm/rubies/ruby-1.8.7-p352/lib/ruby/1.8/timeout.rb:60: [BUG] Bus Error
ruby 1.8.7 (2011-06-30 patchlevel 352) [i686-darwin11.1.0]

Она решается следующим образом:

  1. устанавливаем XCode 4.2 из AppStore
  2. устанавливаем gcc отсюда https://github.com/kennethreitz/osx-gcc-installer
  3. добавляем строчку export CC=gcc-4.2 в .bashrc, .zshrc или конфиг вашего shell-а (после этого нужно перезапустить терминал)
  4. удаляем rvm: rvm implode
  5. устанавливаем rvm заново: bash < < (curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer)

Комментарии

Ну и как работеет?

работает, вроде неплохо работает

Войдите, чтобы оставить комментарий